# $Date: 1996/10/24 09:41:42 $ $Author: zimmerma $ $Revision: 1.6 $ #

# kg, 29/12/93 #

#++
s_poly -- returns sugared S-polynomial of critical pair
 
s_poly(p)
 
p - critical pair

Used internally only, no error checking.
++#

groebner::s_poly:= proc(p)
    local s;
begin
    s:= gplus(multcoeffs(divide(p[3], p[1][2], Exact), lcoeff(p[2][1], groebner::order)) * p[1][1],
	- multcoeffs(divide(p[3], p[2][2], Exact), lcoeff(p[1][1], groebner::order)) * p[2][1]);
    [ s, lterm(s, groebner::order), p[4] ]
end_proc:

# end of file #
